
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-transaction-api_1.3_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00002

Name:           %{?scl_prefix}jboss-transaction-api_1.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Transaction API
Group:          Development/Java

%if %with mead
Source100: jboss-transaction-api_1.3_spec-2.0.0.Final-redhat-00002-project-sources.tar.gz
Source102: jboss-transaction-api_1.3_spec-2.0.0.Final-redhat-00002-sources.jar
Source103: jboss-transaction-api_1.3_spec-2.0.0.Final-redhat-00002.jar
Source104: jboss-transaction-api_1.3_spec-2.0.0.Final-redhat-00002.pom
%endif

Obsoletes:      %{?scl_prefix}jboss-transaction-api_1.2_spec
License:        EPL-2.0
URL:            https://github.com/jboss/jboss-transaction-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-interceptors-api_1.3_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}cdi-api >= 0:1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-transaction-api_1.3_spec-%{namedversion}-%{release}-root

%description
The Java Transaction 1.3 API classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-transaction-api_1.3_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%if 0
%setup -q -n jboss-transaction-api_spec -T -b 100
%endif

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-transaction-api_1.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-transaction-api_1.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-transaction-api_1.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-transaction-api_1.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-transaction-api_1.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-transaction-api_1.3_spec
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE.txt README
%endif
%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}.jar
%{_javadir}/jboss-transaction-api_1.3_spec.jar
%if %with javadoc
%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-transaction-api_1.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-transaction-api_1.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-transaction-api_1.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-transaction-api_1.3_spec-%{namedversion}
%{_javadocdir}/jboss-transaction-api_1.3_spec
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-3.Final_redhat_00002.1
- Fix License

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 2.0.0-2.Final_redhat_00002.1
- RPM wrapper build 2.0.0.Final-redhat-00002

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- 2.0.0.Final-redhat-00001
